<?php
/*
 * DS Lightbox system plugin for Joomla! 2.5 & 3.x
 * @author    Dzyanis Sukhanitski (mail@dzyanis.com)
 * @copyright Copyright 2015 Dzyanis Sukhanitski. All rights reserved
 * @license   GNU Public License
 * @link      http://www.dzyanis.com/myprojects/dslightbox
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

// Import the parent class
jimport('joomla.plugin.plugin');

class plgSystemDslightbox extends JPlugin
{
	// @var JApplication
	protected $app;

	// Event onAfterRender
	public function onAfterDispatch()
	{
		// Dot not load if this is not the right document-class
		$document = JFactory::getDocument();
		
		if ($document->getType() != 'html')
		{
			return false;
		}

		// Perform actions on the frontend
		if ($this->app->isSite())
		{
			// Load CSS
			$this->loadStylesheet('dslightbox.css');

			// Load JavaScript
			$this->loadScript('dslightbox.js');
			
		}
	}

	// Load a script
	private function loadScript($file = null)
	{
		$folder = 'media/plg_dslightbox/js/';
		JFactory::getDocument()->addScript($folder . $file);
	}

	// Load a stylesheet
	private function loadStylesheet($file = null, $condition = true)
	{
		$folder = 'media/plg_dslightbox/css/';
		JFactory::getDocument()->addStylesheet($folder . $file);
	}

}