/*
 * DS Lightbox system plugin for Joomla! 2.5 & 3.x
 * @author    Dzyanis Sukhanitski (mail@dzyanis.com)
 * @copyright Copyright 2015 Dzyanis Sukhanitski. All rights reserved
 * @license   GNU Public License
 * @link      http://www.dzyanis.com/myprojects/dslightbox
 */

jQuery(document).ready(function($) {
	
	$('.ds-lb').click(function(e) {
		
		//prevent default action
		e.preventDefault();
		
		//Get clicked link's attributes
		var image_href = $(this).attr("src");
		var image_alt = $(this).attr("alt");
		
		var clicked_image = '<img src="' + image_href +'" />';
		if 	(image_alt != undefined && image_alt != '')	{clicked_image = clicked_image + '<span>' + image_alt +'</span>';}
		
		/* 	
		If the lightbox window HTML already exists in document, 
		change the img src to to match the href of whatever link was clicked
		
		If the lightbox window HTML doesn't exists, create it and insert it.
		(This will only happen the first time around)
		*/
			
		if ($('#ds-overlay').length > 0) { 
		// #lightbox exists
		
			//place href as img src value
			$('#ds-content').html(clicked_image);
		   	
			//show lightbox window - you could use .show('fast') for a transition
			$('#ds-overlay').fadeIn(200);
		}
		
		else { 
		//#lightbox does not exist - create and insert (runs 1st time only)
			
			//create HTML markup for lightbox window
			var lightbox = 
			'<div id="ds-overlay">' +
				'<div id="ds-content">' + 
					clicked_image +
				'</div>' +	
				'<img id="ds-close" src="/media/plg_dslightbox/images/close.png" title="Click to close" alt="" />'+	
			'</div>';

			//insert lightbox HTML into page
			$('body').append(lightbox);
			$('#ds-overlay').fadeIn(200);
		}
		
	});
	
	//Click anywhere on the page to get rid of lightbox window
	$('body').on('click', '#ds-overlay', function(){ 
		//must use live, as the lightbox element is inserted into the DOM
		$('#ds-overlay').fadeOut(200);
	});

});